ForceFields::MMFF::VdWContrib Class Reference

the van der Waals term for MMFF More...

`#include <Nonbonded.h>`

Inheritance diagram for ForceFields::MMFF::VdWContrib:

## Public Member Functions

| VdWContrib ()
| VdWContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, const MMFFVdWRijstarEps *mmffVdWConstants)
| Constructor. More...
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual VdWContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

the van der Waals term for MMFF

Definition at line 23 of file MMFF/Nonbonded.h.

## Constructor & Destructor Documentation

## VdWContrib() [1/2]

ForceFields::MMFF::VdWContrib::VdWContrib | ( |  | ) |

inline

Definition at line 25 of file MMFF/Nonbonded.h.

References getEnergy(), and getGrad().

Referenced by copy().

## VdWContrib() [2/2]

ForceFields::MMFF::VdWContrib::VdWContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | const MMFFVdWRijstarEps * | mmffVdWConstants
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of end1 in the ForceField's positions
  idx2 | index of end2 in the ForceField's positions

## Member Function Documentation

## copy()

virtual VdWContrib* ForceFields::MMFF::VdWContrib::copy | ( |  | ) | const

inline virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 38 of file MMFF/Nonbonded.h.

References VdWContrib().

## getEnergy()

double ForceFields::MMFF::VdWContrib::getEnergy | ( | double * | pos | ) | const

virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

Referenced by ForceFields::MMFF::EleContrib::EleContrib(), and VdWContrib().

## getGrad()

void ForceFields::MMFF::VdWContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

Referenced by ForceFields::MMFF::EleContrib::EleContrib(), and VdWContrib().

The documentation for this class was generated from the following file:

- MMFF/Nonbonded.h